package com.rjconsultores.ventaboletos.utilerias;

public enum CustomEnum {

	/**
	 * Indica se la informacion de equivalencia es visible
	 * 
	 * @return
	 */
	MOSTRAR_EQUIVALENCIA("equivalencia.mostrar"), 
	
	/**
	 * Indica se o campo empresa é obrigatório
	 * @return
	 */
	EMPRESA_OBRIGATORIA("empresa.obrigatoria"), 
	
	/**
	 * Indica se es gerado o campo equivalencia corrida na tabela de corrida
	 * 
	 * @return
	 */
	GERAR_CAMPO_EQUIVALENCIA_CORRIDA("corrida.gerarCampoEquivalencia"),
	
	/**
	 * Indica exibe o combo de Division na geração de Corridas do Esquema Operacional.
	 * 
	 * @return
	 */
	EXIBIR_DIVISION_CONFIGURACION_CORRIDA("esquemaOperacional.configuracionCorrida.exibeDivision"), 
	
	/**
	 * Indica se va a exhibir la cuenta contable en el catalogo de tipos de eventos
	 * 
	 * @return
	 */
	EXHIBIR_CUENTA_CONTABLE_TIPOS_EVENTOS("eventosExtras.tiposEventos.exhibirCuentaContable"), 
	
	/**
	 * Indica se va a exhibir la "aba" de excepciones de tramo_km en la pantalla de tramos
	 * 
	 * @return
	 */
	EXHIBIR_EXCEPCIONES_TRAMO_KM("tramos.exhibirExcepcionesTramoKm"), 
	
	/**
	 * Indica se vai exibir botão na modificação massiva de tarifa de geração automatica de tarifas
	 * 
	 * @return
	 */
	GENERAR_TARIFAS_AUTOMATICA("tarifa.generarTarifasAutomatica"), 
	
	GENERAR_ROTINA_FOLIOS("no.cheque.folio"), 
	
	HABILITAR_PRICING_CATEGORIA("pricing.categoria.habilitar"), 
	
	RUTA_CON_MAS_DE_UNA_CLASE("ruta.masdeunaclase"), 
	
	DIAGRAMA_AUTOBUS_DOS_PESTANA("diagramaautobus.dospestana"), 
	
	CONTRASENA_VALIDA_COMPLEJIDAD("contrasena.validaComplejidad"), 
	
	HABILITAR_CUSTOM_SEQUENCE("custom.sequence"), 
	
	INTEGRACION_TOTVS("integracion.totvs"), 
	
	INTEGRACION_AG("integracion.AG"), 
	
	INTEGRACION_AGWS("integracion.agws"), 
	
	INTEGRACION_RIOCARD("integracion.riocard"), 
	
	DIAGRAMA_AUTOBUS_TREM("layoutdiagramaautobus.trem"), 
	
	VALIDA_ESTADO_NO_NOME_LOCALIDADE("validaEstadoNomeLocalidade"), 
	
	PODE_EDITAR_CLIENTE_FIDELIDADE("podeEditarClienteFidelidade"), 
	
	VALIDA_SOBREPOSICAO_VIGENCIA("validaSobreposicaoVigencia"), 
	
	USA_CPF_COMO_FIDELIDADE("usaCPFComoFidelidade"), 
	
	USA_PADRAO_PRICING_TIPO_PASSAGEM_PET("usaPadroPricingEspecificoTipoPassagemPET"), 
	
	EXIBE_TPP("exibeTpp"), 
	
	COD_ANTT_NAO_OBRIGATORIO("codAnttNaoObrigatorio"), 
	
	ARTESP_PEDAGIO_IDA_VOLTA_DIV_POR2("artespPedagioIdaVoltaDivPor2"), 
	
	CALCULO_PEAJE_REUNIDAS_ANTT("calculoPeajeReunidasANTT"), 
	
	MAX_SIZE_NUM_CORRIDA("maxSizeNumCorrida"), 
	
	CRIAR_TARIFA_APENAS_TRECHO_VENDIDO("criarTarifaApenasTrechoVendido"), 
	
	EXIBIR_ESTACAO_CADASTRO_USUARIO("exibirEstacaoCadastroUsuario"), 
	
	UTILLIZA_CARTAO_LIBERCARD("utilizaLibercard"), 
	
	/**
	 * 
	 * Indica se ao salvar um ponto de venda será validado se para todas as empresas informadas para venda também será necessário informar o fechamento.
	 * 
	 * @return
	 */
	VALIDA_CONTA_CORRENTE_EMPESA_PTOVTA("puntoVenta.validaCtaCteEmpresa"), 
	
	IS_DATASOURCE_COMISSAO_BANCO_PRODUCAO("datasource.conferencia.comissao"), 
	
	IS_PERMITE_VARIAS_IMPRESSORAS_MESMA_EMPRESA("permiteVariasImpressorasMesmaEmpresa"), 
	
	IS_FORMAPAGO_PRICING_INATIVO("formaPagoPricingInativo"), 
	
	EXIBIR_PUNTO_VENTA_CADASTRO_AIDF("exibirPuntoVentaCadastroAIDF"), 
	
	IS_PUNTOVENTA_CADASTRO_AIDF_OBRIGATORIO("isPuntoVentaCadastroAIDFObrigatorio"), 
	
	ENDERECO_CLIENTE_OBRIGATORIO("cliente.enderecoObrigatorio"), 
	
	IS_PERMITE_LAYOUT_INTERNACIONAL("permiteLayoutInternacional"), 
	
	RELATORIO_TAXAS_LINHA_TXT_DOWNLOAD_VISIBLE("taxasLinhaTxtDownloadVisible"), 
	
	IS_PERMITE_CALCULO_COMISSAO_PERIODO("permiteCalculoComissaoPeriodo"), 
	
	IS_INCLUI_TIPO_PAGAMENTO_TURISMO_BGM("incluiTipoPagamentoTurismoBGM"), 
	
	IS_GERAR_TRECHO_AUTOMATICO_DEFAULT_NAO("gerarTrechoAutomaticoDefaultNao"), 
	
	IS_VALIDA_DOCUMENTACAO_MONITRIP("validaDocumentacaoMonitrip"),
	
	IS_RECEITA_DESPESAS_COMPORTE("isReceitasDespesasComporte"),
	
	IS_RECEITA_DESPESAS_OURO_PRATA("isReceitasDespesasOuroPrata"),
	
	IS_COD_RECEITA_FIXO_BGM("isCodReceitaFixoBgm"),
	
	HABILITAR_EXCLUIR_SEQUENCIA_LINHA("habilitarExcluirSequenciaLinha"),
	
	/**
	 * Indica se a taxa de embarque será impressa como QRCode ou Codigo de barras
	 * 
	 * @return
	 */
	IS_TAXA_EMBARQUE_IMPRESSA_QRCODE("isTxEmbarqueImpressaEmQrcode"),
	
	IS_DESCONSIDERA_CLIENTE_NA_BASE("isDesconsideraClienteNaBase"),
	
	IS_HABILITA_IE_DESCENTRALIZADA("isHabilitaIEDescentralizada"),
	
	IS_VALIDAR_CONSTANTE_REMESSA("isValidarConstanteRemessa"),
	
	IS_DESABILITA_USUARIO_ADMINISTRADORES_PERFIL("dasabilitaUsuarioAdministradoresPerfil"),
	
	INTEGRACION_SAFER("integracion.safer"),
	
	VALIDA_ESTOQUE_SIMPLIFICADO("MODCLI_ValidaEstoqueSimplificado"),
	
	IS_VENDA_SAFTAO("isVendaSaftao"),
	
	/**
	 * Ativa o Bloqueio de trecho por conexao.
	 * 
	 * @return
	 */
	USA_BLOQUEIO_TRECHO_CONEXAO("usaBloqueioTrechoConexao"),
	
	IS_PERMITE_ALTERAR_HORARIO_CORRIDA_COM_VENDAS("isPermiteAlterarHorarioCorridaComVendas");

	private String descricao;

	private CustomEnum(String descricao) {
		this.descricao = descricao;
	}

	public String getDescricao() {
		return descricao;
	}

	@Override
	public String toString() {
		return this.descricao;
	}

}
